API

Get global SEO settings

GET/api/crm/v2/sites_seo_global_settingsv2
operationId: sitesSeoGlobalSettings.default

Returns global SEO settings. Templates support placeholders, such as [product_name], [category_name], [branch_name], [city_name].

Authorization

api-token + language + role

Query parameters

branch_idinteger

Example: 8779

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
branch_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

settingsobject
breadcrumbs_showedbooleanrequired

Example: true

breadcrumbs_include_on_main_page_enabledbooleanrequired

Example: true

breadcrumbs_show_on_main_page_enabledbooleanrequired

Example: true

item_template_seo_titlestring

Example: [product_name] - [category_name] - [branch_name] - item title

item_template_seo_descriptionstring

Example: [product_name] - [category_name] - [branch_name] - item description

item_template_seo_h1string

Example: [product_name] - [category_name] - [branch_name] - item H1

category_template_seo_titlestring

Example: [category_name] - [branch_name] - [city_name] - category title

category_template_seo_descriptionstring

Example: [category_name] - [branch_name] - [city_name] - category description

category_template_seo_h1string

Example: [category_name] - [branch_name] - [city_name] - category H1